Class | Needle::Pipeline::InterceptorElement
In: | lib/needle/pipeline/interceptor.rb
Parent: | Element

The pipeline element that implements adding interceptors to a service.

### Methods

call initialize_element

### Attributes

interceptors | [R] | The array of interceptors to be proxied onto the object.

### Public Instance methods

call( container, point, *args )

Invokes the next element in the chain and adds the interceptors to the result, returning a proxy object wrapped by the interceptors.

initialize_element()

Initializes the array of interceptors. It is initially empty.

[Validate]